server:
  port: 8873
  shutdown: graceful #开启优雅关闭

# 日志配置
logging:
  level:
    root: INFO

spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driverClassName: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://192.168.3.29:1433;DatabaseName=appserver;encrypt=false;
    username: sa
    password: 452131wW
  jpa:
    database: sql_server # 配置 DBMS 类型
    show-sql: true # 配置是否将执行的 SQL 输出到日志
    open-in-view: true
    hibernate:
      ddl-auto: update  # 第一次建表create  后面用update，要不然每次重启都会新建表
    properties:
      hibernate:
        format_sql: true
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 200MB
      # 最大请求大小
      max-request-size: 215MB
